package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 体系审查任务收件箱（目前用来获取审查场景变更通知）
 * @TableName t_system_review_task_inbox
 */
@TableName(value ="t_system_review_task_inbox")
@Accessors(chain = true)
@Data
public class SystemReviewTaskInbox {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 体系审查任务id
     */
    private Long systemReviewTaskId;

    /**
     * 场景变更任务id
     */
    private Long reviewSceneChangeTaskId;

    /**
     * 该消息是否已确认(0未确认:1已确认)
     */
    private Integer isConfirm;

}