package com.ruoyi.service.impl;

import com.ruoyi.domain.ReviewSceneChangeTask;
import com.ruoyi.service.StrategyReviewSceneChange;
import com.ruoyi.service.ReviewSceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Transactional
@Service(ReviewSceneChangeTask.OPERATION_DELETE)
public class StrategyReviewSceneChangeDelete implements StrategyReviewSceneChange {

    @Autowired
    private ReviewSceneService reviewSceneService;

    @Override
    public void doChange(ReviewSceneChangeTask reviewSceneChangeTask) {
        reviewSceneService.removeById(reviewSceneChangeTask.getReviewSceneId());
    }
}
