package com.ruoyi.service.impl;

import com.ruoyi.domain.ReviewScene;
import com.ruoyi.domain.ReviewSceneChangeTask;
import com.ruoyi.service.StrategyReviewSceneChange;
import com.ruoyi.service.ReviewSceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Transactional
@Service(ReviewSceneChangeTask.OPERATION_UPDATE)
public class StrategyReviewSceneChangeUpdate implements StrategyReviewSceneChange {

    @Autowired
    private ReviewSceneService reviewSceneService;
    @Override
    public void doChange(ReviewSceneChangeTask reviewSceneChangeTask) {

        ReviewScene reviewScene = reviewSceneService.getById(reviewSceneChangeTask.getReviewSceneId());
        reviewScene.setText(reviewSceneChangeTask.getNewText());

        reviewSceneService.updateById(reviewScene);
    }
}
