package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.List;

/**
 * 审查标准
 */
@TableName(value ="t_review_standard")
@Data
public class ReviewStandard {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 章节
     */
    private String chapter;


    /**
     * 文本内容
     */
    private String text;

    /**
     * 要点列表
     */
    @TableField(exist = false)
    private List<ReviewKeyPoint> keyPointList;

}
