package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 体系审查任务&用户映射关系
 * @TableName t_system_review_task_user_relation
 */
@TableName(value ="t_system_review_task_user_relation")
@Accessors(chain = true)
@Data
public class SystemReviewTaskUserRelation {

    /**
     * 任务id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long taskId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否是组长（1是、0不是）
     */
    private Integer isLeader;

    /**
     * 用户姓名
     */
    private String name;

}