package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.ReviewDetails;
import com.ruoyi.domain.ReviewKeyPoint;
import com.ruoyi.mapper.ReviewDetailsMapper;
import com.ruoyi.service.ReviewDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ReviewDetailsServiceImpl extends ServiceImpl<ReviewDetailsMapper, ReviewDetails> implements ReviewDetailsService {

    @Autowired
    private ReviewDetailsMapper reviewDetailsMapper;

    @Override
    public List<ReviewDetails> findByKeyPointsList(List<ReviewKeyPoint> reviewKeyPointList) {
        return reviewDetailsMapper.findByKeyPointList(reviewKeyPointList);
    }
}
