package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.ReviewKeyPoint;
import com.ruoyi.domain.ReviewStandard;
import com.ruoyi.mapper.ReviewKeyPointMapper;
import com.ruoyi.service.ReviewKeyPointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ReviewKeyPointServiceImpl extends ServiceImpl<ReviewKeyPointMapper, ReviewKeyPoint> implements ReviewKeyPointService {

    @Autowired
    private ReviewKeyPointMapper reviewKeyPointMapper;

    @Override
    public List<ReviewKeyPoint> findByStandardList(List<ReviewStandard> reviewStandardList) {
        return reviewKeyPointMapper.findByStandardList(reviewStandardList);
    }
}
