package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.ReviewSceneChangeTaskUserRelation;
import com.ruoyi.service.ReviewSceneChangeTaskUserRelationService;
import com.ruoyi.mapper.ReviewSceneChangeTaskUserRelationMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_review_scene_change_task_user_relation(审查场景变更任务&用户映射关系)】的数据库操作Service实现
* @createDate 2023-12-15 10:54:57
*/
@Transactional
@Service
public class ReviewSceneChangeTaskUserRelationServiceImpl extends ServiceImpl<ReviewSceneChangeTaskUserRelationMapper, ReviewSceneChangeTaskUserRelation> implements ReviewSceneChangeTaskUserRelationService {

    @Autowired
    private ReviewSceneChangeTaskUserRelationMapper reviewSceneChangeTaskUserRelationMapper;

    @Override
    public List<ReviewSceneChangeTaskUserRelation> findListByTaskId(Long taskId) {
        return reviewSceneChangeTaskUserRelationMapper.findListByTaskId(taskId);
    }
}




