package com.ruoyi.service.impl;

import com.ruoyi.service.StrategyReviewSceneChange;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Transactional
@Service
public class StrategyReviewSceneChangeContext {

    @Autowired
    private final Map<String, StrategyReviewSceneChange> strategyMap = new ConcurrentHashMap<>();

    public StrategyReviewSceneChangeContext(Map<String, StrategyReviewSceneChange> strategyMap) {
        this.strategyMap.clear();
        strategyMap.forEach(strategyMap::put);
    }

    public StrategyReviewSceneChange getResource(String operation){
        return strategyMap.get(operation);
    }

}
